# Hi!

**DO _NOT_ RUN THE SPECS AGAINST YOUR PRODUCTION ACCOUNT. THEY ARE INTEGRATION TESTS AND WILL CREATE LISTS, CONTACTS, ETC INSIDE YOUR ACCOUNT.**

- Create a "dummy" account on [https://expresspigeon.com](https://expresspigeon.com).

[![Create the test template](https://www.evernote.com/shard/s13/sh/75e1cdd7-456f-428a-8277-dba816463ac5/f831f96b6fe134bbd365fe979b4e7f10/deep/0/ExpressPigeon---Newsletters.png)](https://expresspigeon.com/newsletters/)

[![Configure the test template](https://www.evernote.com/shard/s13/sh/5748e40d-5620-4452-953d-36f874a69863/8fb550e3544c1ee94309c5ba45bf85a5/deep/0/ExpressPigeon---Create-Edit-Newsletter.png)](https://expresspigeon.com/newsletters/)

[![Extract the template id](https://www.evernote.com/shard/s13/sh/98ab5e45-df3d-4650-bbbb-95017b167453/f68c2c0e7158c358fe58a652aad30300/deep/0/Screenshot-12-26-14,-10-22-AM.png)](https://expresspigeon.com/newsletters/)

- Set the `TEST_TEMPLATE_ID` to the example newsletter template id.

- Create three custom_fields on the account.
    - `my_custom_text_field` as `text` (no default)
    - `my_custom_number_field` as `number` (no default)
    - `my_custom_date_field` as `date` (no default)

[![Steps to set up the custom fields](https://www.evernote.com/shard/s13/sh/f0eaefe9-5699-470e-8184-af03fa5cdd20/a000ef8eb5152edfe8f228f53aa71523/deep/0/ExpressPigeon---Custom-Fields-Settings.png)](https://expresspigeon.com/settings/custom_fields/)

- Copy the `.env.example` to `.env`
- Set the `EXPRESS_PIGEON_AUTH_KEY` to the *sandbox* auth key found in the integrations section of the ExpressPigeon account.

[![Steps to find the Sandbox Authorization Key](https://www.evernote.com/shard/s13/sh/def4ff82-eefe-4303-82cc-964578a9595d/cba8f07aeb5cd2ab30e1114b477497fa/deep/0/ExpressPigeon---Integrations.png)](https://expresspigeon.com/settings/integrations/)

- `bundle install ; bundle exec rspec` and you should be good.



